import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { useMemo } from 'react';
import { useTranslation } from 'react-i18next';
import { Field, LabelledTextInput, Form, } from '../../components';
export const SceneForm = ({ path }) => {
    const { t } = useTranslation();
    const namePath = useMemo(() => path.concat('name'), [path]);
    return (_jsx(Form, { children: _jsx(Field, { path: namePath, component: LabelledTextInput, label: t('inspector.sceneForm.field.name.label') }) }));
};
